%define cleanerml_snap	20220427
%bcond gksu 1

Name:		bleachbit
Version:	4.6.0
Release:    %mkrel 1
Summary:	Remove unnecessary files, free space, and maintain privacy
License:	GPLv3+
Group:		File tools
URL:		https://www.bleachbit.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:    remove-apt-source-lists.tar.xz
Source2:  	cleanerml-%{cleanerml_snap}.tar.xz
Source3:    %{name}-root.png
Source4:    py-patch.tar.xz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:	python3-chardet
Requires:	python3-gobject3
%if %{with gksu}
Requires:   gksu
%endif
%if %{without gksu}
Requires:   kdesu
%endif

%description
BleachBit deletes unnecessary files to free valuable disk space, maintain
privacy, and remove junk. Rid your system of old clutter including cache,
cookies, Internet history, localizations, logs, temporary files, and broken
shortcuts. It wipes clean the cache and history list of many common programs.

%prep
%setup -a 2 -qn %{name}-%{version}
%autopatch

%build
# delete windows files
%make_build delete_windows_files

# adapted from Makefile to clean cleanerml
awk '/os="windows/ && /id="/ {print FILENAME}' cleanerml-%{cleanerml_snap}/release/*.xml | xargs rm -f

# Make the desktop entry adapted to PCLOS menu
sed -i "/^Categories=/c\Categories=GTK;X-MandrivaLinux-System-FileTools;" %{_builddir}/%{name}-%{version}/org.%{name}.BleachBit.desktop

%py3_build

%install
%make_install prefix=%{_prefix}

# remove shebang as those files are not executable and not meant to be run by users
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/CLI.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/GUI.py

# install additional released cleaner plugins from cleanerml snapshot
install -m 644 cleanerml-%{cleanerml_snap}/release/*.xml %{buildroot}%{_datadir}/%{name}/cleaners

# Rename the desktop entry to something readable
mv %{buildroot}%{_desktopdir}/org.%{name}.BleachBit.desktop  %{buildroot}%{_desktopdir}/%{name}.desktop

# Make the root desktop entry
cp %{buildroot}%{_desktopdir}/%{name}.desktop %{buildroot}%{_desktopdir}/%{name}-root.desktop

%if %{with gksu}
sed -i "/^Exec=/c\Exec=gksu %{_bindir}/%{name}" %{buildroot}%{_desktopdir}/%{name}-root.desktop
%endif

%if %{without gksu}
sed -i "/^Exec=/c\Exec=kdesu %{_bindir}/%{name}" %{buildroot}%{_desktopdir}/%{name}-root.desktop
%endif

sed -i "/^Name=/c\Name=BleachBit Root" %{buildroot}%{_desktopdir}/%{name}-root.desktop
sed -i "/^Icon=/c\Icon=%{_datadir}/pixmaps/%{name}-root" %{buildroot}%{_desktopdir}/%{name}-root.desktop

%__install -m 0644 %{S:3} %{buildroot}%{_datadir}/pixmaps/%{name}-root.png
# End of making root desktop entry

unxz %SOURCE1 -c | tar xf - -C %{buildroot}%{_datadir}/%{name}/cleaners
unxz %SOURCE4 -c | tar xf - -C %{buildroot}%{_datadir}/bleachbit

%files
%{_bindir}
%{_datadir}

%changelog
* Wed Mar 06 2024 hunter - 4.6.0-1pclos2024
- new version

* Tue Aug 23 2022 Ken - 4.4.2-4pclos2022
- Rebuild 
- fixed more errors from cron, apt

* Mon Aug 22 2022 Ken - 4.4.2-3pclos2022
- Add patch to remove source lists option in gui

* Tue Aug 02 2022 tex - 4.4.2-2pclos2022
- rebuild against updates

